# 概要

バージョン管理システムとは、変更履歴の記録を含む、ソースコードに対して行われた操作を管理するためのツールです。通常、変更履歴を追うためには、リビジョンコード ( 数と文字の組み合わせ ) などを、変更のたびに割り振っていく必要がありますが、バージョン管理システムを使用すれば、このようなことをしなくても、変更履歴を簡単に追うことができます。加えて、以前のファイルとの比較、以前の状態へのリストア、複数のファイルとのマージなど、ソースコードに関わる全般の操作も行えます。他にも、バージョン管理システムを使用する利点として、システムを介すれば、オープンソースの開発に参加している開発者全員で、または、あるプロジェクトに参加している特定のチームメンバー間で、共同で作業を行うことができます。

バージョン管理は、Monaca クラウド IDE 内でユーザーフレンドリーなインターフェイスで利用できます。 多くのバージョン管理システムがありますが、 現在、Monaca クラウド IDE では [GitHub](https://github.com) と SSH を使用する Git サービスをサポートしています。 この機能を使用すれば、リモートリポジトリと Monaca プロジェクトを接続後、Monaca クラウド IDE からソースコードの管理ができるようになります。

ここでは、Monaca プロジェクトを GitHub または SSH を使って Git サービスに連携する方法について解説します。 次に、リポジトリを使って Monaca プロジェクトを設定する方法を解説します。

{% hint style="info" %}
ここでは、Public 指定されたリポジトリを対象として解説を進めます。Private 指定のリポジトリに接続する場合には、対応する Monaca プランに加入する必要があります。詳細は、[料金プラン ](https://ja.monaca.io/pricing.html)をご確認ください。
{% endhint %}

Monaca アカウントと Git サービスを統合する方法は 2 つあります。

* [GitHub との連携](https://ja.docs.monaca.io/products_guide/monaca_ide/version_control/github_integration)
* [Git SSH との連携](https://ja.docs.monaca.io/products_guide/monaca_ide/version_control/git_ssh_integration)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ja.docs.monaca.io/products_guide/monaca_ide/version_control/introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
